### Function

# Camel debug_ref_unref_push_backtrace

since: 3.20

#### Declaration [src]

    void
    camel_debug_ref_unref_push_backtrace (
      const GString* backtrace,
      guint object_ref_count
    )

#### Description [src]

Adds this backtrace into the set of backtraces related to some object reference counting issues debugging. This is usually called inside `g_object_ref()` and g_object_unref(). If the backtrace corresponds to a `g_object_unref()` call, and a corresponding `g_object_ref()` backtrace is found in the current list, then the previous backtrace is removed and this one is skipped.

Any left backtraces in the list are printed at the application end.

A convenient function `camel_debug_ref_unref_push_backtrace_for_object()` is provided too.

Available since: 3.20

#### Parameters

`backtrace`

  Type: `GString`

  A backtrace to push, taken from camel_debug_get_backtrace().

  The data is owned by the caller of the function.

`object_ref_count`

  Type: `guint`

  The current object reference count when the push is done.